export default class DisclosureElement extends HTMLElement {
    static get observedAttributes(): string[];
    connectedCallback(): void;
    disconnectedCallback(): void;
    private onButtonClick;
    get open(): boolean;
    set open(val: boolean);
    get disabled(): boolean;
    attributeChangedCallback(name: string, oldValue: string, newValue: string): void;
    private wasOpened;
    private wasClosed;
    private get button();
    private get content();
}
